Bug 1119377 - Review Request: rolekit - A server daemon with D-Bus interface providing server roles
Summary: Review Request: rolekit - A server daemon with D-Bus interface providing serv...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 16:03 UTC by Thomas Woerner
Modified: 2015-03-23 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 14:03:30 UTC
sgallagh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Woerner 2014-07-14 16:03:11 UTC
Spec URL: http://twoerner.fedorapeople.org/rolekit/rolekit.spec
SRPM URL: http://twoerner.fedorapeople.org/rolekit/rolekit-0.0.1-1.fc20.src.rpm
Description: rolekit is a server daemon that provides a D-Bus interface and server roles.
Fedora Account System Username: twoerner

Comment 1 Stephen Gallagher 2014-07-14 17:59:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
Reviewer note: These are now part of the standard buildroot

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /dev/shm/1119377-rolekit/licensecheck.txt
[X]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/rolekit/roles/testrole
Reviewer note: This is a false positive. Fedora-review apparently doesn't understand globs.
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/rolekit/roles/testrole
Reviewer note: See above
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://fedorahosted.org/released/rolekit/rolekit-0.0.1.tar.bz2
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
Reviewer note: This is correct but was not in place during the review run.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rolekit-0.0.1-1.fc22.noarch.rpm
          rolekit-0.0.1-1.fc22.src.rpm
rolekit.noarch: W: incoherent-version-in-changelog 0.1-1 ['0.0.1-1.fc22', '0.0.1-1']
rolekit.src:35: W: macro-in-comment %find_lang
rolekit.src:35: W: macro-in-comment %{name}
rolekit.src:47: W: macro-in-comment %files
rolekit.src:47: W: macro-in-comment %{name}
rolekit.src:55: E: hardcoded-library-path in %{_prefix}/lib/rolekit
rolekit.src:56: E: hardcoded-library-path in %{_prefix}/lib/rolekit/roles
rolekit.src:57: E: hardcoded-library-path in %{_prefix}/lib/rolekit/roles/*/*.py*
rolekit.src: W: invalid-url Source0: https://fedorahosted.org/released/rolekit/rolekit-0.0.1.tar.bz2 HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 3 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rolekit
rolekit.noarch: W: incoherent-version-in-changelog 0.1-1 ['0.0.1-1.fc22', '0.0.1-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
rolekit (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(rolekit)
    dbus-python
    pygobject3-base
    python(abi)
    python-decorator
    python-slip-dbus
    systemd



Provides
--------
rolekit:
    config(rolekit)
    rolekit



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1119377
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Stephen Gallagher 2014-07-14 18:14:58 UTC
New Package SCM Request
=======================
Package Name: rolekit
Short Description: A server daemon with D-Bus interface providing server roles
Upstream URL: https://fedorahosted.org/rolekit
Owners: twoerner sgallagh
Branches: f21
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-14 19:30:54 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.